Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Imagine I have a new device which it's not working on Linux. I get its device ID with lsusb:

Bus 001 Device 003: ID1164:7efdYUAN High-Tech Development Co., Ltd

Imagine I know that this device will work with this firmware /lib/firmware/dvb-usb-dib0700-1.20.fw

Then I would like to create a rule or something that could tell the operating system that the device 1164:7efd must be loaded with the firmware dvb-usb-dib0700-1.20.fw

I just want to link the device ID with the firmware, so my device will work. Is there any way to do that?

Thanks

share|improve this question

closed as too localized by Luis Alvarado Mar 13 '13 at 19:30

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
never done this myself ... maybe this link will give you some hint? linuxquestions.org/questions/linux-general-1/… –  fossfreedom Jan 20 '12 at 16:57
    
This question appears to be abandoned and unanswered, could you perhaps add more detail to your question? If this question no longer applies then you can either delete it or answer it yourself if you've solved the problem. Thanks! –  Eric Carvalho Mar 13 '13 at 18:34
add comment

Browse other questions tagged or ask your own question.